Bug 335401 - SDC system status errata preview widget broken in some cases
SDC system status errata preview widget broken in some cases
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
low Severity low
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Satellite QA List
US=55568
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2007-10-16 17:36 EDT by Máirín Duffy
Modified: 2017-07-05 11:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the repeated erratum in the preview (34.74 KB, image/png)
2007-10-16 17:36 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2007-10-16 17:36:51 EDT
Description of problem:

On the SDC page for some (not all) systems, the little "system status" errata
preview widget is repeating the same errata multiple times, sometimes 2 out of 3
times sometimes 3 out of 3. I double-checked and the links in the cases I saw
were pointing to the same eid. The systems in question also had more errata
applicable than just the one that was repeated. 

The widget *should* show, in cases where there are more than 3 errata applicable
to a system, the 3 most severe errata applicable (order most important to least:
security critical, security moderate, security important, security low, bugfix,
enhancement), and where severity is equal i think alphabetical order is used.
the same erratum should never be repeated. it's okay if multiple erratum for the
same package are shown as long as the eids are different.

i will add sid and login details in a private comment below.
Comment 1 Máirín Duffy 2007-10-16 17:36:51 EDT
Created attachment 229241 [details]
screenshot of the repeated erratum in the preview
Comment 3 Máirín Duffy 2007-10-16 17:44:51 EDT
This is a HOSTED bug. a SATELLITE clone of this bug is bug 335411.
Comment 4 Grant Gainey 2008-10-20 10:46:39 EDT
The issue here is that the widget is selecting from the package-per-errata-per-system data, instead of just errata-per-system.  If we point the widget at the right data source, it should fix the problem.
Comment 5 Thomas "Shea" DeAntonio 2017-07-05 11:15:49 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).
Comment 6 Thomas "Shea" DeAntonio 2017-07-05 11:15:51 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.